<script>
export default {

	/**
	 * @property {UploadTask} task
	 */
	props:['task', 'label'],
	computed:{

		fillStyle(){
			return 'width:'+this.percent+'%;'
		},
		percent(){
			return Math.round( 100*( this.task.bytesTransferred / this.task.totalBytes ) );
		}

	}

}
</script>

<template>
<div class="uploadTask">
	<label v-if="label">{{label}}</label>
	<div class="bar">
		<div class="fill" :style="fillStyle">
		</div>
	</div>

</div>
</template>

<style scoped>

div.bar .fill {
	height:100%;
	padding:0;
	margin:0;
}

div.container {
	display:inline-block;
	margin-bottom: var(--md-gap);
	height:100%;
	width: 100%;
}
div.bar {

	display:inline-block;
	background: #333;
	overflow:hidden;
	padding:0;
	min-height:1.25rem;
	width:-webkit-fill-available;
	width:-moz-available;
	border-radius: var(--lg-radius);
}

</style>